=== debian/changelog ===
votca-csg (1.6~rc1-2build1) focal; urgency=medium

  * No change rebuild against new boost1.71 ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 03 Feb 2020 21:53:01 +0000

votca-csg (1.6~rc1-2) unstable; urgency=medium

  * No-changes, source-only upload for transition to testing.

 -- Nicholas Breen <nbreen@debian.org>  Sun, 26 Jan 2020 10:39:21 -0800

votca-csg (1.6~rc1-1) unstable; urgency=medium

  * New upstream release candidate.
    - SONAME bump to libvotca-csg6.
    - Discard existing debian/patches/*.patch, incorporated upstream.
  * Increment Depends: on gromacs to >= 2020-2 - minimum 2020 version
    with necessary headers.  (Closes: #949669)
  * d/patches/directory-with-tilde.patch: Fix builds with certain special
    characters in the build path, such as the ~ in "1.6~rc1".
  * Update Standards-Version to 4.5.0, no changes required.

 -- Nicholas Breen <nbreen@debian.org>  Thu, 23 Jan 2020 18:34:42 -0800

votca-csg (1.5.1-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.4.1 and debhelper to version 12.  No
    changes required.
  * Add Depends on libboost-{filesystem, program-options, system}-dev to
    libvotca-csg-dev.
  * debian/watch: Upgrade to v4 and add check for tutorials component.
  * debian/patches/python3-transition.patch: Cherry-pick latest files from
    upstream git in share/scripts/inverse and tutorials/ for the python2 ->
    python3 transition.  (Closes: #933801)

 -- Nicholas Breen <nbreen@debian.org>  Fri, 29 Nov 2019 12:36:59 -0800
