=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

override_dh_auto_configure:
	dh_auto_configure -- -DLIB=lib/$(DEB_HOST_MULTIARCH)

override_dh_python3:
	dh_python3 /usr/share/votca/scripts/inverse/ -X.sh -X.pl

override_dh_auto_install:
	dh_auto_install
	cp -r tutorials debian/tmp/usr/share/votca/
	rm -f debian/tmp/usr/share/votca/tutorials/.gitignore
	-chmod 755 debian/tmp/usr/share/votca/tutorials/urea-water/kb-ibi/run.sh

%:
	dh $@ --with bash-completion,python3
