=== debian/watch ===
version=4
https://github.com/votca/csg/releases .*/archive/v([\d.]+)\.tar\.(?:bz2|gz)
opts="component=tutorials" https://github.com/votca/csg-tutorials/releases .*/archive/v([\d.]+)\.tar\.(?:bz2|gz)
